Opened 7 years ago

Closed 3 years ago

Last modified 3 years ago

#6179 closed defect (fixed)

AGI: Manhunter, NY IIgs - MAD Info does not work

Reported by: SF/captainjei Owned by: m-kiewitz
Priority: normal Component: Engine: AGI
Keywords: Cc:
Game: Manhunter

Description

In the Apple IIgs version of Manhunter: New York (which was recently fixed), whenever I use the MAD, push the INFO button, and input a name, it says 'No one by that name in the city!' no matter what I type in. This includes valid names (like 'Reno Davis'), 'NOTES' or 'BYE'.

I've attached a save game with the MAD open. Just push INFO, and type in RENO DAVIS, NOTES, or BYE to replicate the bug.

ScummVM version: 1.6.0git2047-g2c5769c (Nov 7 2012 13:01:33)
Language: English
Version: Apple IIgs floppy
Platform: win32 (Windows 7)

Ticket imported from: #3585102. Ticket imported from: bugs/6179.

Attachments (7)

mh1-2gs.001 (2.2 KB) - added by SF/captainjei 7 years ago.
I believe this is the correct save…
alternate (2.4 KB) - added by SF/captainjei 3 years ago.
alternate.2 (2.7 KB) - added by SF/captainjei 3 years ago.
alternate.3 (2.4 KB) - added by SF/captainjei 3 years ago.
alternate.4 (2.4 KB) - added by SF/captainjei 3 years ago.
alternate.5 (2.4 KB) - added by SF/captainjei 3 years ago.
alternate.6 (2.4 KB) - added by SF/captainjei 3 years ago.

Download all attachments as: .zip

Change History (18)

Changed 7 years ago by SF/captainjei

Attachment: mh1-2gs.001 added

I believe this is the correct save...

comment:1 Changed 3 years ago by m-kiewitz

starting a new game works for me with the latest build.
Did this also happen when not loading a saved game?

Changed 3 years ago by SF/captainjei

Attachment: alternate added

comment:2 Changed 3 years ago by SF/captainjei

Yes. I started from the beginning multiple times and encountered the error each time. I imagine it's somehow been fixed since I posted the error.

Thanks!
- Jason

-----Original Message-----
From: M. Kiewitz m_kiewitz@users.sf.net
To: [scummvm:bugs] 6179@bugs.scummvm.p.re.sf.net
Sent: Mon, Jan 25, 2016 7:32 am
Subject: [scummvm:bugs] #6179 AGI: Manhunter, NY IIgs - MAD Info does not work

starting a new game works for me with the latest build.
Did this also happen when not loading a saved game?

[bugs:#6179] AGI: Manhunter, NY IIgs - MAD Info does not work
Status: open
Group: AGI: Manhunter
Created: Wed Nov 07, 2012 10:19 AM UTC by CaptainJei
Last Updated: Wed Nov 07, 2012 10:19 AM UTC
Owner: nobody
In the Apple IIgs version of Manhunter: New York (which was recently fixed), whenever I use the MAD, push the INFO button, and input a name, it says 'No one by that name in the city!' no matter what I type in. This includes valid names (like 'Reno Davis'), 'NOTES' or 'BYE'.
I've attached a save game with the MAD open. Just push INFO, and type in RENO DAVIS, NOTES, or BYE to replicate the bug.
ScummVM version: 1.6.0git2047-g2c5769c (Nov 7 2012 13:01:33)
Language: English
Version: Apple IIgs floppy
Platform: win32 (Windows 7)

Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/scummvm/bugs/6179/
To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

comment:3 Changed 3 years ago by m-kiewitz

Owner: set to m-kiewitz
Resolution: fixed
Status: newclosed

comment:4 Changed 3 years ago by m-kiewitz

Great, thanks.

btw. just that you know - my current work-in-progress-rewrite of the AGI engine now has improved Apple IIgs support. It also has the transition now. Font is loaded as well. I hope that I will commit it in the next week(s) and it will hopefully make it into 1.8.0. The sound support also had quite a few issues, which are also fixed now.

Changed 3 years ago by SF/captainjei

Attachment: alternate.2 added

comment:5 Changed 3 years ago by SF/captainjei

Thanks for all your efforts. I prefer the IIgs versions of AGI, and I look forward to replaying them again. I always thought the transition was a nice touch on the old computers.

-----Original Message-----
From: M. Kiewitz m_kiewitz@users.sf.net
To: [scummvm:bugs] 6179@bugs.scummvm.p.re.sf.net
Sent: Mon, Jan 25, 2016 9:21 am
Subject: [scummvm:bugs] #6179 AGI: Manhunter, NY IIgs - MAD Info does not work

status: open --> closed-fixed
assigned_to: M. Kiewitz
Comment:

Great, thanks.
btw. just that you know - my current work-in-progress-rewrite of the AGI engine now has improved Apple IIgs support. It also has the transition now. Font is now loaded as well. I hope that I will commit it in the next week(s) and it will hopefully make it into 1.8.0. The sound support also had quite a few issues, which are also fixed now.

[bugs:#6179] AGI: Manhunter, NY IIgs - MAD Info does not work
Status: closed-fixed
Group: AGI: Manhunter
Created: Wed Nov 07, 2012 10:19 AM UTC by CaptainJei
Last Updated: Mon Jan 25, 2016 01:32 PM UTC
Owner: M. Kiewitz
In the Apple IIgs version of Manhunter: New York (which was recently fixed), whenever I use the MAD, push the INFO button, and input a name, it says 'No one by that name in the city!' no matter what I type in. This includes valid names (like 'Reno Davis'), 'NOTES' or 'BYE'.
I've attached a save game with the MAD open. Just push INFO, and type in RENO DAVIS, NOTES, or BYE to replicate the bug.
ScummVM version: 1.6.0git2047-g2c5769c (Nov 7 2012 13:01:33)
Language: English
Version: Apple IIgs floppy
Platform: win32 (Windows 7)

Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/scummvm/bugs/6179/
To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

comment:6 Changed 3 years ago by m-kiewitz

When it goes public, it would be great if you could play around with it.
The Apple IIgs versions are probably the best versions of the games, but they are also pretty rare. I could also send you a current build of ScummVM, before it goes public.

Changed 3 years ago by SF/captainjei

Attachment: alternate.3 added

comment:7 Changed 3 years ago by SF/captainjei

I would be happy to play around with it. I believe I have most of the IIgs versions of the games, and I probably even remember how to complete most of them.

-----Original Message-----
From: M. Kiewitz m_kiewitz@users.sf.net
To: [scummvm:bugs] 6179@bugs.scummvm.p.re.sf.net
Sent: Mon, Jan 25, 2016 9:46 am
Subject: [scummvm:bugs] Re: #6179 AGI: Manhunter, NY IIgs - MAD Info does not work

When it goes public, it would be great if you could play around with it.
The Apple IIgs versions are probably the best versions of the games, but they are also pretty rare. I could also send you a current build of ScummVM, before it goes public.

[bugs:#6179] AGI: Manhunter, NY IIgs - MAD Info does not work
Status: closed-fixed
Group: AGI: Manhunter
Created: Wed Nov 07, 2012 10:19 AM UTC by CaptainJei
Last Updated: Mon Jan 25, 2016 03:21 PM UTC
Owner: M. Kiewitz
In the Apple IIgs version of Manhunter: New York (which was recently fixed), whenever I use the MAD, push the INFO button, and input a name, it says 'No one by that name in the city!' no matter what I type in. This includes valid names (like 'Reno Davis'), 'NOTES' or 'BYE'.
I've attached a save game with the MAD open. Just push INFO, and type in RENO DAVIS, NOTES, or BYE to replicate the bug.
ScummVM version: 1.6.0git2047-g2c5769c (Nov 7 2012 13:01:33)
Language: English
Version: Apple IIgs floppy
Platform: win32 (Windows 7)

Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/scummvm/bugs/6179/
To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

Changed 3 years ago by SF/captainjei

Attachment: alternate.4 added

comment:8 Changed 3 years ago by SF/captainjei

I would be happy to play around with it. I believe I have most of the IIgs versions of the games, and I probably even remember how to complete most of them.

-----Original Message-----
From: M. Kiewitz m_kiewitz@users.sf.net
To: [scummvm:bugs] 6179@bugs.scummvm.p.re.sf.net
Sent: Mon, Jan 25, 2016 9:46 am
Subject: [scummvm:bugs] Re: #6179 AGI: Manhunter, NY IIgs - MAD Info does not work

When it goes public, it would be great if you could play around with it.
The Apple IIgs versions are probably the best versions of the games, but they are also pretty rare. I could also send you a current build of ScummVM, before it goes public.

[bugs:#6179] AGI: Manhunter, NY IIgs - MAD Info does not work
Status: closed-fixed
Group: AGI: Manhunter
Created: Wed Nov 07, 2012 10:19 AM UTC by CaptainJei
Last Updated: Mon Jan 25, 2016 03:21 PM UTC
Owner: M. Kiewitz
In the Apple IIgs version of Manhunter: New York (which was recently fixed), whenever I use the MAD, push the INFO button, and input a name, it says 'No one by that name in the city!' no matter what I type in. This includes valid names (like 'Reno Davis'), 'NOTES' or 'BYE'.
I've attached a save game with the MAD open. Just push INFO, and type in RENO DAVIS, NOTES, or BYE to replicate the bug.
ScummVM version: 1.6.0git2047-g2c5769c (Nov 7 2012 13:01:33)
Language: English
Version: Apple IIgs floppy
Platform: win32 (Windows 7)

Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/scummvm/bugs/6179/
To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

Changed 3 years ago by SF/captainjei

Attachment: alternate.5 added

comment:9 Changed 3 years ago by SF/captainjei

I would be happy to play around with it. I believe I have most of the IIgs versions of the games, and I probably even remember how to complete most of them.

-----Original Message-----
From: M. Kiewitz m_kiewitz@users.sf.net
To: [scummvm:bugs] 6179@bugs.scummvm.p.re.sf.net
Sent: Mon, Jan 25, 2016 9:46 am
Subject: [scummvm:bugs] Re: #6179 AGI: Manhunter, NY IIgs - MAD Info does not work

When it goes public, it would be great if you could play around with it.
The Apple IIgs versions are probably the best versions of the games, but they are also pretty rare. I could also send you a current build of ScummVM, before it goes public.

[bugs:#6179] AGI: Manhunter, NY IIgs - MAD Info does not work
Status: closed-fixed
Group: AGI: Manhunter
Created: Wed Nov 07, 2012 10:19 AM UTC by CaptainJei
Last Updated: Mon Jan 25, 2016 03:21 PM UTC
Owner: M. Kiewitz
In the Apple IIgs version of Manhunter: New York (which was recently fixed), whenever I use the MAD, push the INFO button, and input a name, it says 'No one by that name in the city!' no matter what I type in. This includes valid names (like 'Reno Davis'), 'NOTES' or 'BYE'.
I've attached a save game with the MAD open. Just push INFO, and type in RENO DAVIS, NOTES, or BYE to replicate the bug.
ScummVM version: 1.6.0git2047-g2c5769c (Nov 7 2012 13:01:33)
Language: English
Version: Apple IIgs floppy
Platform: win32 (Windows 7)

Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/scummvm/bugs/6179/
To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

Changed 3 years ago by SF/captainjei

Attachment: alternate.6 added

comment:10 Changed 3 years ago by SF/captainjei

I would be happy to play around with it. I believe I have most of the IIgs versions of the games, and I probably even remember how to complete most of them.

-----Original Message-----
From: M. Kiewitz m_kiewitz@users.sf.net
To: [scummvm:bugs] 6179@bugs.scummvm.p.re.sf.net
Sent: Mon, Jan 25, 2016 9:46 am
Subject: [scummvm:bugs] Re: #6179 AGI: Manhunter, NY IIgs - MAD Info does not work

When it goes public, it would be great if you could play around with it.
The Apple IIgs versions are probably the best versions of the games, but they are also pretty rare. I could also send you a current build of ScummVM, before it goes public.

[bugs:#6179] AGI: Manhunter, NY IIgs - MAD Info does not work
Status: closed-fixed
Group: AGI: Manhunter
Created: Wed Nov 07, 2012 10:19 AM UTC by CaptainJei
Last Updated: Mon Jan 25, 2016 03:21 PM UTC
Owner: M. Kiewitz
In the Apple IIgs version of Manhunter: New York (which was recently fixed), whenever I use the MAD, push the INFO button, and input a name, it says 'No one by that name in the city!' no matter what I type in. This includes valid names (like 'Reno Davis'), 'NOTES' or 'BYE'.
I've attached a save game with the MAD open. Just push INFO, and type in RENO DAVIS, NOTES, or BYE to replicate the bug.
ScummVM version: 1.6.0git2047-g2c5769c (Nov 7 2012 13:01:33)
Language: English
Version: Apple IIgs floppy
Platform: win32 (Windows 7)

Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/scummvm/bugs/6179/
To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

comment:11 Changed 3 years ago by m-kiewitz

How can I reach you?
[your name]@users.sf.net doesn't work.

Regards

Note: See TracTickets for help on using tickets.